> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/de/sites-and-zonen/additional-subids.md).

# Verwendung zusätzlicher Sub-IDs

Wie in der [Dokumentation zur Verwendung von Sub-IDs](/publishers/de/sites-and-zonen/subids.md), werden Sub-IDs von Publishern verwendet, um den Traffic zu segmentieren. Zum Beispiel könnten sie dies nach Traffic-Quelle tun. Diese Informationen werden dann im **Statistiken** Tab, in der **Sub-IDs** Untertab angezeigt.

Außerdem gibt es zwei weitere Parameter, die im Wesentlichen genau dasselbe sind wie `sub` insgesamt: `sub2` und `sub3`.

## Beispiele

### Asynchrone Werbezonen: Banner, Sticky Banners, Instant Messages, Outstream-Anzeigen und Multi-Formate

Hinzugefügt `data-sub` = XXXXXX, `data-sub2` = XXXXXX und `data-sub3` = XXXXXX

```html
<script async type="application/javascript" src="https://ads.examplesite.com/ad-provider.js"></script>
<ins class="adsbynetwork" data-zoneid="1234567" data-sub="XXXXXX" data-sub2="XXXXXX" data-sub3="XXXXXX"></ins>
<script>(AdProvider = window.AdProvider || []).push({"serve": {}});</script>
```

### iFrames

Hinzugefügt `&sub`= XXXXXX, `&sub2`= XXXXXX und `&sub`3= XXXXXX

```html
<iframe src="//a.examplesite.com/iframe.php?idzone=1234567&size=300x250&sub=XXXXXX&sub2=XXXXXX&sub3=XXXXXX" width="300" height="250" scrolling="no" marginwidth="0" marginheight="0" frameborder="0"></iframe>
```

### Native

Hinzugefügt als `data-ad_sub= "XXXXXX"; data-ad_sub2 = "XXXXXX"; data-ad_sub3 = "XXXXXX";`

```
data-ad_sub= "XXXXXX";
data-ad_sub2 = "XXXXXX";
data-ad_sub3 = "XXXXXX";
```

### RTB

Hinzugefügt in `ext` Objekt als `&sub=XXXXXX, &sub2=XXXXXX, &sub3=XXXXXX`

```json
{
   "id": "d4b5c697-41f3-4c1c-a3d5-5fd01b5ef2aa",
   "imp": [
       {
           "id": "974090632",
           "banner": {
               "w": 300,
               "h": 250
           }
       }
   ],
   "site": {
       "id": "12345",
       "domain": "sitedomain.com",
       "cat": ["IAB25-3"],
       "page": "https://sitedomain.com/page"
   },
   "device": {
       "ua": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.63 Safari/537.36",
       "ip": "131.34.123.159",
       "geo": {
           "country": "IRL"
       },
       "language": "en",
       "os": "Linux & UNIX",
       "js": 0,
       "ext": {
           "remote_addr": "131.34.123.159",
           "x_forwarded_for": "",
           "accept_language": "en-GB;q=0.8,pt-PT;q=0.6,en;q=0.4,en-US;q=0.2,de;q=0.2,es;q=0.2,fr;q=0.2"
       }
   },
   "user": {
       "id": "57592f333f8983.043587162282415065"
   },
   "ext": {
       "sub": 1221,
       "sub2": 2222,
       "sub3": 3333
   }
}
```

Diese Parameter könnten verwendet werden, um den Traffic noch weiter zu segmentieren. Im Gegensatz zu sub wird dies jedoch nicht in der **Sub-IDs** Sub-Tab des **Statistiken** Tabs angezeigt. Wir erfassen sie jedoch intern. Der einzige Weg, um die Daten für diese Metriken zu erhalten, ist über die [API Global Routes für Publisher](https://api.exoclick.com/v2/docs/#!/47statistics/post_statistics_publisher_global).

Hier sind zwei Beispiele dafür, wie die Anfrage aussehen sollte, um Daten aus sub2 bzw. sub3 abzurufen:

### Gruppierung nach sub2 und sub3

```json
{
  "count": 0,
  "detailed": 0,
  "timezone": "Europe/Dublin",
  "totals": 1,
  "filter": {
    "date_from": "2019-11-07",
    "date_to": "2019-11-07",
    "zone_id": [
      1234567
    ]
  },
  "group_by": [
    "sub2",
    "sub3"
  ],
  "order_by": [
    {
      "field": "impressions",
      "order": "desc"
    }
  ],
  "projection": [
    "base"
  ],
  "limit": 25,
  "offset": 0
}
```

### Filtern und Gruppieren nach sub2 und sub 3

```json
{
  "count": 0,
  "detailed": 0,
  "timezone": "Europe/Dublin",
  "totals": 1,
  "filter": {
    "date_from": "2019-11-07",
    "date_to": "2019-11-07",
    "sub": [
      10001
    ],
    "sub2": [
      10002
    ],
    "sub3": [
      10003
    ],
    "zone_id": [
      1234567
    ]
  },
  "group_by": [
    "sub2",
    "sub3"
  ],
  "order_by": [
    {
      "field": "impressions",
      "order": "desc"
    }
  ],
  "projection": [
    "base"
  ],
  "limit": 25,
  "offset": 0
}
```

**Hinweis**: Es ist nur möglich, in zwei Dimensionen zu gruppieren. Wenn Sie nach `sub`, gruppieren möchten, müssen Sie entweder `sub2` oder `sub3` entfernen. Andernfalls wird die Antwort einen Fehler erzeugen.

```json
{
  "message": "Request `group_by` data is invalid."
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/publishers/de/sites-and-zonen/additional-subids.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
